{
  lib,
  config,
  ...
}: let
  cfg = config.desktop.dm;
in {
  config = lib.mkIf (cfg.name == "sddm") {
    services.displayManager.sddm = {
      enable = true;
      wayland.enable = cfg.wayland;
    };
  };
}
